List Whitelisted Wallets
curl --request GET \
--url https://api.mansa.xyz/api/v2/liquidity/onboarding/whitelist \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <api-key>'import requests
url = "https://api.mansa.xyz/api/v2/liquidity/onboarding/whitelist"
headers = {
"x-api-key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-api-key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.mansa.xyz/api/v2/liquidity/onboarding/whitelist', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"wallet_address": "THrT8J57NY3GsDb3My47LjQnPQZQgntZ2K",
"label": "<string>",
"chain_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"meta": {
"limit": 50,
"page": 1,
"total": 1
}
}{
"error": {
"type": "auth_error",
"code": "invalid_token",
"message": "Bearer token is missing or invalid."
}
}{
"error": {
"type": "rate_limit_error",
"code": "too_many_requests",
"message": "Too many requests. Please retry with exponential backoff."
}
}{
"error": {
"type": "api_error",
"code": "upstream_dependency_error",
"message": "A dependency failed to process the request."
}
}Onboarding
List Whitelisted Wallets
GET
/
api
/
v2
/
liquidity
/
onboarding
/
whitelist
List Whitelisted Wallets
curl --request GET \
--url https://api.mansa.xyz/api/v2/liquidity/onboarding/whitelist \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <api-key>'import requests
url = "https://api.mansa.xyz/api/v2/liquidity/onboarding/whitelist"
headers = {
"x-api-key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-api-key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.mansa.xyz/api/v2/liquidity/onboarding/whitelist', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"wallet_address": "THrT8J57NY3GsDb3My47LjQnPQZQgntZ2K",
"label": "<string>",
"chain_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"meta": {
"limit": 50,
"page": 1,
"total": 1
}
}{
"error": {
"type": "auth_error",
"code": "invalid_token",
"message": "Bearer token is missing or invalid."
}
}{
"error": {
"type": "rate_limit_error",
"code": "too_many_requests",
"message": "Too many requests. Please retry with exponential backoff."
}
}{
"error": {
"type": "api_error",
"code": "upstream_dependency_error",
"message": "A dependency failed to process the request."
}
}Authorizations
API key for authentication
JWT token following RFC001 specification
Query Parameters
Required range:
x >= 1Required range:
x >= 1
